"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorResponseObject = exports.SuccessResponseObject = void 0;
class BaseResponseObject {
    constructor(success, message, data = null) {
        this.success = success;
        this.message = message;
        this.data = data;
    }
}
class SuccessResponseObject extends BaseResponseObject {
    constructor(message, data = null) {
        super(true, message, data);
        this.message = message;
        this.data = data;
    }
}
exports.SuccessResponseObject = SuccessResponseObject;
class ErrorResponseObject extends BaseResponseObject {
    constructor(message, data = null) {
        super(false, message, data);
        this.message = message;
        this.data = data;
    }
}
exports.ErrorResponseObject = ErrorResponseObject;
